API_KEY='live_...'
BATCH_ID='batch_123'
curl --request POST \
--url "https://api.scale.com/v2/batch/resume" \
--header "Authorization: Bearer $API_KEY" \
--header "Content-Type: application/json" \
--data '{"batch_id": "'$BATCH_ID'"}'{
"batch": {
"id": "batch_abc123",
"name": "My Scale Batch",
"project": "project_abc123",
"created_at": "2023-11-07T05:31:56Z",
"status": "staging",
"metadata": {},
"completed_at": "2023-11-07T05:31:56Z",
"callback": "https://example.com/callback"
},
"message": "Batch resume initiated. Previously paused tasks will be resumed."
}{
"status_code": 500,
"error": "An error has occurred."
}Batches
Resume a Batch
Resume processing of a paused Batch. Previously paused tasks will be resumed.
POST
/
v2
/
batch
/
resume
API_KEY='live_...'
BATCH_ID='batch_123'
curl --request POST \
--url "https://api.scale.com/v2/batch/resume" \
--header "Authorization: Bearer $API_KEY" \
--header "Content-Type: application/json" \
--data '{"batch_id": "'$BATCH_ID'"}'{
"batch": {
"id": "batch_abc123",
"name": "My Scale Batch",
"project": "project_abc123",
"created_at": "2023-11-07T05:31:56Z",
"status": "staging",
"metadata": {},
"completed_at": "2023-11-07T05:31:56Z",
"callback": "https://example.com/callback"
},
"message": "Batch resume initiated. Previously paused tasks will be resumed."
}{
"status_code": 500,
"error": "An error has occurred."
}Authentication
Authentication
Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the Authentication section for more details.
Batch Status Requirement
You can only resume batches that are currently paused. Batches in other statuses (staging, in_progress, completed) cannot be resumed.Once resumed, the batch status will change to in_progress and paused tasks will begin processing.Required request parameters
You are expected to provide one of the following in the request body:- Batch ID (
batch_id) - Batch Name (
batch_name)
Authorizations
bearerAuthbasicAuth
Your API Key is the Bearer token. See the Authentication section to learn how to access your key.
Body
application/json

